Derusting project woes

Discussion in 'RPG Maker MV' started by redbat001, Sep 15, 2018.

  1. redbat001

    redbat001 Villager Member

    Messages:
    8
    Likes Received:
    1
    First Language:
    english
    Primarily Uses:
    RMXP
    I've tried to figure this out but I'm honestly stumped.

    I decided to start working on a new project after some time. Originally I always used version 1.3.4 of MV to make games but for some reason the yanfly plugins would not work, specifically the core engine and action sequences giving errors.

    So I thought maybe yanfly had to update his plugins for 1.6.1 so I've moved up to 1.6.1, started a new project, placed the plugins in only for more errors to show.

    I'm out of ideas at this point. It's been several months since I did a project so I'm a bit out of the loop but last time I simply put them in and boom, no issues. I removed the action sequences but I really need them in this project so I have to find out why they aren't working anymore.

    Keep in mind its a brand new project.

    Here is the error in the console I get...
    Code:
    Uncaught TypeError: this.furthestRight is not a function
        at eval (eval at <anonymous> (YEP_BattleEngineCore.js:1246), <anonymous>:1:6)
        at YEP_BattleEngineCore.js:1246
    pixi.js:27682
        PixiJS 4.5.4 - ✰ WebGL ✰      http://www.pixijs.com/    ♥♥♥
    
    
    rpg_managers.js:1949 TypeError: this.isBattleSystem is not a function
        at Function.BattleManager.isATB (YEP_X_BattleSysATB.js:1000)
        at Game_Actor.Game_BattlerBase.refresh (YEP_X_BattleSysATB.js:1788)
        at Game_Actor.Game_Battler.refresh (rpg_objects.js:3000)
        at Game_Actor.refresh (rpg_objects.js:3756)
        at Game_Actor.initEquips (rpg_objects.js:3584)
        at Game_Actor.setup (rpg_objects.js:3443)
        at Game_Actor.setup (Galv_WeaponProf.js:292)
        at Game_Actor.initialize (rpg_objects.js:3408)
        at new Game_Actor (rpg_objects.js:3393)
        at Game_Actors.actor (rpg_objects.js:4587)
    I also uploaded an image of the plugins currently installed.
    Any help would be greatly appreciated and if this is a common problem then I apologize. I tried searching the errors but to no avail.
     

    Attached Files:

    #1
  2. Andar

    Andar Veteran Veteran

    Messages:
    28,128
    Likes Received:
    6,371
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    1) i think your yanfly plugins are in the wrong order. They need to be exactly in the order given on the website.
    2) not all plugins are compatible to each other. If mixing plugins from different programmers you should add them one after another and make each work before adding the best one.
     
    #2
  3. redbat001

    redbat001 Villager Member

    Messages:
    8
    Likes Received:
    1
    First Language:
    english
    Primarily Uses:
    RMXP
    I removed all plugins except Yanfly's core engine, battle core, and ATB and have them in correct order but still get crash on playtest.
    For some reason ATB is causing the crash but according to the update log, it's been updated for 1.6.1 support so...it should work?

    Plus that still doesn't stop the action sequence packs from crashing test battles if I try using them...
     
    #3
  4. Andar

    Andar Veteran Veteran

    Messages:
    28,128
    Likes Received:
    6,371
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    1) what is the version number in the title line of the rpg_core.js file from your project? You need to open that file with a text editor to read it.
    2) where do you store your projects? If you store them in a cloudsync'd folder, that can interfere and even destroy your project randomly. Your projects need to be stored in a local directory (backups can be placed into the cloud, but not the working directory/project).
    If you don't know if your project is in a synced folder, place the entire filepath (from drive letter to index.html) here and we tell you.
    3) some plugins cannot work during battletest.
    The battletest takes shortcuts while loading the project to test the battles, and these shortcuts can disable some plugin data, causing errors.
    you should always try to test battles in real playtest for comparison.
    4) please give a screenshot of the console log when the error happens.
    your code snippet of the console does not contain several infos that might help locating the problem.
     
    #4
  5. redbat001

    redbat001 Villager Member

    Messages:
    8
    Likes Received:
    1
    First Language:
    english
    Primarily Uses:
    RMXP
    I decided to remove ATB since it was never going to be in the project anyway but was just a test to see if it would work, plus since its not supported anymore I'd rather just stick with the turn based system. I also did a complete reinstall of rpgmaker mv by uninstalling then downloading the newest full installation from the website to see if maybe something went awry during updating...

    1) // rpg_core.js v1.6.1
    2) I store my projects in the games folder in my documents on my C: drive like I always have.
    3) It was only a few months ago I was using the exact same plugins on a 1.3.4 project with no issue what so ever so I doubt that's the issue.
    4) I included a screenshot of the console and the current plugins.
     

    Attached Files:

    Last edited: Sep 15, 2018
    #5
  6. Andar

    Andar Veteran Veteran

    Messages:
    28,128
    Likes Received:
    6,371
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    This is not what I asked - I asked for the full filepath for a lot of reasons.
    the answer needs to be something like c:\users\.... and ending on ...\index.html, with all names of all folders between.
    Your incomplete answer doesn't really help because it does not show the full filepath, and that is important. Because errors could also happen if even a single letter or sign that is illegal under networking rules is somewhere in that filepath.

    additionally, at least one of the errors comes from a notetag that is eval'd - can you please give a screenshot of that as well?
     
    #6
  7. redbat001

    redbat001 Villager Member

    Messages:
    8
    Likes Received:
    1
    First Language:
    english
    Primarily Uses:
    RMXP
    Alright sheesh...I didn't do that because I doubted the severity of such a thing and I apologize for that. My intention was not to cause trouble.
    C:\Users\Admin\Documents\Games\JDI\index.html
    That's the full path, JDI is the project name folder.

    And notetag that is eval'd? Can I get some details on what that means, or what I have to do to get a screenshot of it?
     
    Last edited: Sep 15, 2018
    #7
  8. Andar

    Andar Veteran Veteran

    Messages:
    28,128
    Likes Received:
    6,371
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    "eval" is basically what the plugins do with notetags, so what this means that somewhere you have a notetag where the contents are wrong.
    In this case the wrong code contains
    furthestRight
    and you need to find out which skill or enemy or whatever has that in its notetags, and give a screenshot of that.

    EDIT:
    as for the filepath - a single space anywhere there would be enough to prevent the engine from loading a lot of its resources (audio/images/plugins), or prevent some plugins from working correctly when trying to access other files.
     
    #8
  9. bgillisp

    bgillisp Global Moderators Global Mod

    Messages:
    11,748
    Likes Received:
    11,781
    Location:
    USA
    First Language:
    English
    Primarily Uses:
    RMVXA
    Some users have reported that anything in the documents directory has issues. Plus a single windows reinstall or rollback could delete your entire project. I'd move it to another directory, and make sure the directory follows networking rules. I personally use c:\games\rpgmakemv. Nice and easy.
     
    #9
  10. redbat001

    redbat001 Villager Member

    Messages:
    8
    Likes Received:
    1
    First Language:
    english
    Primarily Uses:
    RMXP
    This is a fresh project, the Database is untouched. I simply placed the 5 yanfly plugins in and tried to load a battle and it crashes.
    I also tried a non test battle and it still crashes.

    I went through all notetags and there is nothing except the standard text for Attack and Guard, etc. If you want screenshots I can edit my post to put them in but there's nothing to show.

    I tried moving it to a similar directory C:\Games\rpgmakermv\
    reopened it but it still gives the same errors.

    EDIT: Can anyone confirm that the 5 plugins shown above work on 1.6.1 as of now?
     
    Last edited: Sep 15, 2018
    #10
  11. Aloe Guvner

    Aloe Guvner Walrus Veteran

    Messages:
    1,502
    Likes Received:
    949
    Location:
    USA
    First Language:
    English
    Primarily Uses:
    RMMV
    After reading through the plugin and your error message, it looks like a bug by Yanfly.

    The default value for the plugin parameter "Enemy Auto Select" has a reference to 'this' (a context-dependent variable), but it is not evaluated in the correct context.

    Go ahead and change that parameter to a simple zero (0) and it should solve the error.
     
    #11
    redbat001 likes this.
  12. redbat001

    redbat001 Villager Member

    Messages:
    8
    Likes Received:
    1
    First Language:
    english
    Primarily Uses:
    RMXP
    That seemed to do it, I guess I should've just read it more thoroughly.

    Thank you Aloe Guvner and everyone else who tried to help.
     
    #12
    Aloe Guvner likes this.
  13. Yethwhinger

    Yethwhinger Veteran Veteran

    Messages:
    53
    Likes Received:
    26
    Location:
    San Jose, CA, USA
    First Language:
    English
    Primarily Uses:
    RMMV
    I encountered the same "this.furthestRight is not a function" error when I used version 1.47 of YEP_BattleEngineCore.js downloaded through Yanfly's website using the "English Mirror" download link. The "English Dropbox" link has the corrected version of the plugin in which the "this.furthestRight" function is evaluated in the proper context.
     
    #13

Share This Page